body {
    background: $global-background;
}

.site-wrapper {
    max-width: $content-width + $spacing-unit;
    margin: 0 auto;
    padding: 0 $spacing-unit/2;
}



/**
 * Header
 */
.site-header {
    background: $content-background;
    z-index: 1;
    @extend %shadow;
}

.site-title {
    display: flex;
    align-items: center;

    &:hover {
        text-decoration: none;
    }

    svg {
        margin: $spacing-unit * 2 / 3;
        width: $spacing-unit * 3;
        height: $spacing-unit * 3;

        @include media-query($tablet) {
            width: $spacing-unit * 2;
            height: $spacing-unit * 2;
        }

        @include media-query($phone) {
            margin: $spacing-unit / 2;
            width: $spacing-unit * 1.5;
            height: $spacing-unit * 1.5;
        }
    }

    h1 {
        margin: 0;

        @include media-query($tablet) {
            @include heading-size(2);
        }

        @include media-query($phone) {
            @include heading-size(3);
        }
    }
}

.site-nav {
    display: flex;
    flex-wrap: wrap;
    background: $primary-color;

    .page-link {
        @include button-dark($primary-color);

        &.current {
            border-bottom: 6px solid rgba(255, 255, 255, .4);
        }
    }
}

.material-button {
    display: inline-block;
    @include button-dark($primary-color);
}

/**
 * Content
 */
.main-content {
    background: $content-background;
    padding: $spacing-unit / 2;
    padding-top: $spacing-unit;
    display: flex;
    @extend %shadow;

    .article-area, .sidebar {
        flex-basis: auto;
        width: 0px;

        @include media-query($tablet) {
            width: auto;
        }
    }

    .article-area {
        flex-grow: 4;
    }

    .sidebar {
        flex-grow: 2;
        padding-left: $spacing-unit;
    }

    @include media-query($tablet) {
        flex-direction: column;

        .sidebar {
            padding-left: 0;
            padding-top: $spacing-unit * 2;
        }
    }
}

.sidebar-widget {
    margin-bottom: $spacing-unit;

    &:not(:last-of-type) {
        padding-bottom: $spacing-unit;
        border-bottom: 1px solid #ccc;
    }

    @import "sidebar-donate"
}


/**
 * Browsing
 */

$icon-size: 48px;

.app-header, .app-header:visited {
    display: flex;
    align-items: top;
    color: $text-color;
    margin-bottom: $spacing-unit / 3;
    
    &:hover {
        text-decoration: none;
    }

    .app-icon {
        width: $icon-size;
        height: $icon-size;
        margin-top: $spacing-unit / 4;
        margin-right: $spacing-unit / 2;
    }

    .app-name {
        margin: 0;
    }

    .app-license {
        color: $text-color-light;

        &:before { content: " (" }
        &:after { content: ")" }
    }
}

/**
 * List of apps for sidebar. Show a more condensed view than the full list of apps.
 */
 .sidebar-widget .app-header {
    .app-icon {
        width: $icon-size * 5 / 6;
        height: $icon-size * 5 / 6;
    }

    .app-name {
        font-size: $base-font-size * 1.1;
    }

    .app-summary, .app-license {
        color: $text-color-light;
        font-size: $base-font-size * 0.9;
    }
}

.browse-navigation {
    @include reset-ul;

    display: inline-block;
    margin: 1em;

    .nav {
        $border-radius: 0.2em;
        display: inline;
        float: left;
        color: $text-color;

        .label {
            border: solid 1px #aaa;
            margin: 0 0 0 -1px;
            text-align: center;
            padding: 0.25em 0.5em;
        }

        &.disabled {
            color: #bbb;
        }

        &.active {
            .label {
                background-color: lighten($primary-color, 50%);
            }
        }

        &:first-child .label {
            border-top-left-radius: $border-radius;
            border-bottom-left-radius: $border-radius;
        }

        &:last-child .label {
            border-top-right-radius: $border-radius;
            border-bottom-right-radius: $border-radius;
        }

        a {
            color: $text-color;
        }

        a:hover {
            text-decoration: none;
            background: lighten($primary-color, 15%);
        }

    }

    // Only display previous, current, and next on smaller screens.
    @include media-query($tablet) {
        .nav .label {
            display: none;
        }

        .nav.page.active .label,
        .nav.previous .label,
        .nav.next .label {
            display: inline;
        }
    }
}



/**
 * Footer
 */
.site-description {
    font-size: $small-font-size;
}
